Package fr.gouv.vitam.storage.engine.common.metrics

# Class DownloadCountingInputStreamMetrics

java.lang.Object
java.io.InputStream
java.io.FilterInputStream
org.apache.commons.io.input.ProxyInputStream
org.apache.commons.io.input.CountingInputStream
fr.gouv.vitam.storage.engine.common.metrics.DownloadCountingInputStreamMetrics

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class DownloadCountingInputStreamMetrics extends org.apache.commons.io.input.CountingInputStream

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.io.input.ProxyInputStream

  `org.apache.commons.io.input.ProxyInputStream.AbstractBuilder<T,B extends org.apache.commons.io.build.AbstractStreamBuilder<T,B>>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final String`
  `dataCategory`
  `static final io.prometheus.client.Summary`
  `DOWNLOAD_BYTES`
  `protected final String`
  `offerId`
  `protected final String`
  `origin`
  `protected final String`
  `strategy`
  `protected final String`
  `tenant`

  ### Fields inherited from class java.io.FilterInputStream

  `in`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DownloadCountingInputStreamMetrics(Integer tenant, String strategy, String offerId, String origin, DataCategory dataCategory, InputStream inputStream)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `afterRead(int n)`
  `protected void`
  `onEndOfFileReached()`

  ### Methods inherited from class org.apache.commons.io.input.CountingInputStream

  `getByteCount, getCount, resetByteCount, resetCount, skip`

  ### Methods inherited from class org.apache.commons.io.input.ProxyInputStream

  `available, beforeRead, close, handleIOException, mark, markSupported, read, read, read, reset, unwrap`

  ### Methods inherited from class java.io.InputStream

  `nullInputStream, readAllBytes, readNBytes, readNBytes, skipNBytes, transferTo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DOWNLOAD_BYTES

    public static final io.prometheus.client.Summary DOWNLOAD_BYTES

  - ### tenant

    protected final String tenant

  - ### strategy

    protected final String strategy

  - ### offerId

    protected final String offerId

  - ### origin

    protected final String origin

  - ### dataCategory

    protected final String dataCategory

- ## Constructor Details

  - ### DownloadCountingInputStreamMetrics

    public DownloadCountingInputStreamMetrics(Integer tenant, String strategy, String offerId, String origin, DataCategory dataCategory, InputStream inputStream)

- ## Method Details

  - ### onEndOfFileReached

    protected void onEndOfFileReached()

  - ### afterRead

    protected void afterRead(int n) throws IOException
    Overrides:
      `afterRead` in class `org.apache.commons.io.input.CountingInputStream`
    Throws:
      `IOException`